Subject: Force option for flushing caches in edge cases
Description

Sometimes packages containing invalid PHP code which cause fatal errors can prevent FLOW3 from flushing code caches with
./flow3 typo3.flow3:cache:flush, because reflection data is loaded or created before the command can be executed. For these cases a
--force option would be helpful which skips all non-essential initialization and flushes caches directly, including emptying the whole
temporary directory.

Associated revisions
Revision 3ceb727c - 2012-04-10 17:26 - Robert Lemke

[FEATURE] --force option for flow3:cache:flush

Packages containing invalid PHP code which cause fatal errors
can prevent FLOW3 from flushing code caches with
./flow3 typo3.flow3:cache:flush

This patch provides a new --force option which skips all non-
essential initialization and flushes caches directly, including
emptying the whole temporary directory.

Change-Id: Iaba769a2dfcfe0d9c39afda36644885e00e8c946
Resolves: #35826
Releases: 1.1

History
#1 - 2012-04-10 17:27 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10211

#2 - 2012-04-11 02:37 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3ceb727c29ee61e4bec43d23cee0912bbbc24d58.
